/*
 * Copyright (c) IntellectualCrafters - 2014.
 * You are not allowed to distribute and/or monetize any of our intellectual property.
 * IntellectualCrafters is not affiliated with Mojang AB. Minecraft is a trademark of Mojang AB.
 *
 * >> File = SetOwner.java
 * >> Generated by: Citymonstret at 2014-08-09 01:42
 */

package com.intellectualcrafters.plot.commands;

import com.intellectualcrafters.plot.*;
import com.intellectualcrafters.plot.database.DBFunc;
import org.bukkit.entity.Player;

import java.util.UUID;

@SuppressWarnings("deprecation")
public class SetOwner extends SubCommand {

    public SetOwner() {
        super("setowner", "plots.admin", "Set the plot owner", "setowner {player}", "so", CommandCategory.ACTIONS);
    }

    /*
    private UUID getUUID(String string) {
        OfflinePlayer player = Bukkit.getOfflinePlayer(string);
        return ((player != null) && player.hasPlayedBefore()) ? player.getUniqueId() : null;
    }*/

    private UUID getUUID(String string) {
        return UUIDHandler.getUUID(string);
    }

    @Override
    public boolean execute(Player plr, String... args) {
        if (!PlayerFunctions.isInPlot(plr)) {
            PlayerFunctions.sendMessage(plr, C.NOT_IN_PLOT);
            return true;
        }
        Plot plot = PlayerFunctions.getCurrentPlot(plr);
        if (args.length < 1) {
            PlayerFunctions.sendMessage(plr, C.NEED_USER);
            return true;
        }
        plot.owner = getUUID(args[0]);
        PlotMain.updatePlot(plot);
        DBFunc.setOwner(plot, plot.owner);
        PlayerFunctions.sendMessage(plr, C.SET_OWNER);
        return true;
    }
}
